<template>
	<view>
		<cu-custom bgColor="bg-gradual-blueness" :isBack="true">
			<block slot="backText">返回</block>
			<block slot="content">监督检查</block>
		</cu-custom>
		<view class="top-fixed">
			<view class="cu-bar search bg-white">
				<view class="search-form radius">
					<text class="cuIcon-search"></text>
					<input @input="InputBlur" placeholder="请输入关键字"></input>
				</view>
				<view class="action">
					<button class="cu-btn bg-green shadow-blur radius" @click="getQuery()">搜索</button>
				</view>
			</view>
			<view class="line"></view>
		</view>
			<scroll-view class="dy-scroll" @scrolltolower="scrolltolower" scroll-y :style="'top:'+sTop+'px;height:calc(100vh - '+totalHeight+'px)'">
				<view v-if="total>0" class="dy-list">		
					<view v-for="(item,index) of list" :key="index" :data-id="item.SUPERVISE_INSPECT_HIDDEN_ID" class="dy-list-item p201 arrow" @click="$noMultipleClicks(goInfo,item)">
						<view class="dy-title-flex">
							<view>
								<text v-if="item.HIDDENDESCR">{{item.HIDDENDESCR.length>15?item.HIDDENDESCR.substr(0,15)+'...':item.HIDDENDESCR}}</text>
								<text v-else>暂无</text>
							</view>
							<view>
								<text v-if="item.HIDDENLEVEL=='hiddenLevel0001'" class="cu-tag radius bg-yellow light">{{item.HIDDENLEVELNAME}}</text>
								<text v-if="item.HIDDENLEVEL=='hiddenLevel0002'" class="cu-tag radius bg-red light">{{item.HIDDENLEVELNAME}}</text>
							</view>
						</view>
						<view class="dy-subtitle-flex">
							<text>发现人：{{item.DISCOVERER_NAME?item.DISCOVERER_NAME:'暂无'}}</text>
							<text class="text-gray f20">发现时间：{{item.DISCOVER_TIME}}</text>
						</view>
						<view class="dy-subtitle-flex">
							<text>整改人：{{item.RECTIFYER_NAME?item.RECTIFYER_NAME:'暂无'}}</text>
							<text class="text-gray f20">整改时间：{{item.RECTIFY_TIME}}</text>
						</view>
						<view class="dy-subtitle-flex">
							<text v-if="item.STATE=='1'">隐患状态：待整改</text>
							<text v-else-if="item.STATE=='2'">隐患状态：待复查</text>
							<text v-else-if="item.STATE=='3'">隐患状态：已复查</text>
							<text v-else>隐患状态：</text>
						</view>
					</view>
				</view>
				<view v-else-if="dataFlag=='noData'" class="dy-null">
				    <view class="dy-null-img">
						<image src="../../../../../static/null.png" mode=""></image>
				    </view>
				    <view class="dy-null-title">
						暂无数据
				    </view>
				</view>
				<view class="cu-tabbar-height"></view>
			</scroll-view>
	</view>	
</template>

<script>
	import {
		basePath,deptId,loginUserId,loginSession,loginUser
	} from '@/common/tool.js';
	export default {
		data() {
			return {
				sTop:0,
				totalHeight:0,
				scrollLeft: 0,
				tabNav: ['未提交', '待整改', '待复查', '已复查', '已验收', '已超期'],
				page: 1,
				rows: 10,
				totalCount:0,
				isEnd: false,
				total:0,
				varList:[],
				noClick:true,
				dataFlag:'noData',
				list:[],
				initflag:false,
				name:'',
				isIndex:0
			}
		},		
		onLoad() {
			this.getData();
			loginSession();
		},
		onReady() {
			let that=this;
			let CustomBar = this.CustomBar;
			uni.getSystemInfo({ //调用uni-app接口获取屏幕高度
				success(res) { //成功回调函数
					let titleH=uni.createSelectorQuery().select(".top-fixed"); //想要获取高度的元素名（class/id）
					titleH.boundingClientRect(data=>{
						that._data.sTop=data.height  //计算高度：元素高度=窗口高度-元素距离顶部的距离（data.top）
						that.totalHeight = data.height+CustomBar
					}).exec()
				}
			})
		},
		onShow(){
			var _this = this;			
			
			if(_this.initflag){
				_this.initflag = false;
				_this.getQuery()
			}
		},
		methods: {
			getData() {
				var _this = this;
					if (_this.isEnd) {
						return
					}
					uni.showLoading({
						title: '请稍候'
					});
					uni.request({
						url: basePath + '/app/superviseinspecthidden/list',
						method: 'POST',
						dataType: 'json',
						header:{
							'Content-type':'application/x-www-form-urlencoded'
						},
						data: {
							tm:new Date().getTime(),
							// STATE:1,
							showCount:_this.rows,
							currentPage:_this.page,
							totalResult:_this.total,
							CORPINFO_ID:loginUser.CORPINFO_ID
						},
						success: (res) => {
							// console.info(res.data);
							if (res.data.result == 'success') {
								uni.hideLoading();
								_this.total = res.data.page.totalResult;
								if (_this.totalCount < res.data.page.totalResult) {
									var content = res.data.varList;
									_this.list = _this.list.concat(content);
									_this.page++;
									_this.totalCount += content.length;
								} else {
									_this.isEnd = true
								}
								
							} else {
								uni.showToast({
									title: res.data.message,
									duration: 2000
								});
							}
						}
					});
				
			},			
			getQuery(){
				var _this = this;
				_this.page = 1;
				_this.isEnd = false;
				_this.totalCount = 0;
				_this.total =0;
				_this.list = [];
				_this.getData()
			},
			getlist() {
				var _this = this;
				_this.page = 1;
				_this.isEnd = false;
				_this.totalCount = 0;
				_this.total =0;
				_this.list = [];
				_this.getData()
			},
			tabSelect(e) {
				this.TabCur = e.currentTarget.dataset.id;
				this.scrollLeft = (e.currentTarget.dataset.id - 1) * 60;
				this.getQuery();
			},
			InputBlur(e){
				this.name = e.detail.value
			},
			//跳转事件
			goInfo(e) {
					uni.navigateTo({
						
						url: '/pages/application/superviseInspect/superviseInspectHidden/list/supervise-inspect-hidden-detail?id='+e.SUPERVISE_INSPECT_HIDDEN_ID,
					});
				
				
			},
			//跳转事件
			gotReview(e) {
				uni.navigateTo({
					url: '/pages/works/hidden-danger/hidden-danger-review?id='+e,
				});
			},
			//跳转事件
			gotCheck(e) {
				uni.navigateTo({
					url: '/pages/works/hidden-danger/hidden-danger-check?id='+e,
				});
			},
			//跳转事件
			gotDetail(e) {
				uni.navigateTo({
					url: '/pages/works/hidden-danger/hidden-danger-details?id='+e,
				});
			},
			scrolltolower(){
				this.getData();
			}
		}
	}
</script>

<style>

</style>
